%global debug_package %{nil}

Name: python-commonmark
Epoch: 100
Version: 0.9.1
Release: 1%{?dist}
BuildArch: noarch
Summary: Python CommonMark parser
License: BSD-3-Clause
URL: https://github.com/readthedocs/commonmark.py/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
commonmark.py is a pure Python port of jgm's commonmark.js, a Markdown
parser and renderer for the CommonMark specification, using only native
modules. Once both this project and the CommonMark specification are
stable we will release the first 1.0 version and attempt to keep up to
date with changes in commonmark.js.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-commonmark
Summary: Python CommonMark parser
Requires: python3
Provides: python3-commonmark = %{epoch}:%{version}-%{release}
Provides: python3dist(commonmark) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-commonmark = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(commonmark) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-commonmark = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(commonmark) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-commonmark
commonmark.py is a pure Python port of jgm's commonmark.js, a Markdown
parser and renderer for the CommonMark specification, using only native
modules. Once both this project and the CommonMark specification are
stable we will release the first 1.0 version and attempt to keep up to
date with changes in commonmark.js.

%files -n python%{python3_version_nodots}-commonmark
%license LICENSE
%{_bindir}/cmark
%{python3_sitelib}/commonmark*
%endif

%if !(0%{?suse_version} > 1500)
%package -n python3-commonmark
Summary: Python CommonMark parser
Requires: python3
Provides: python3-commonmark = %{epoch}:%{version}-%{release}
Provides: python3dist(commonmark) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-commonmark = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(commonmark) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-commonmark = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(commonmark) = %{epoch}:%{version}-%{release}

%description -n python3-commonmark
commonmark.py is a pure Python port of jgm's commonmark.js, a Markdown
parser and renderer for the CommonMark specification, using only native
modules. Once both this project and the CommonMark specification are
stable we will release the first 1.0 version and attempt to keep up to
date with changes in commonmark.js.

%files -n python3-commonmark
%license LICENSE
%{_bindir}/cmark
%{python3_sitelib}/commonmark*
%endif

%changelog
